version: "3"
services:
  receive:
    networks:
      - rabbitmq_go_net
    environment:
      - DEBUG=NO
      - TZ=America/Detroit
      - _JAVA_OPTIONS=-Xms1024m -Xmx8192m
    image: davidabbey/receiver:latest
    container_name: receiver
    stdin_open: true # docker run -i
    tty: true        # docker run -t
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
      args:
        CORRETTO_VERSION: "21"
    privileged: true
#volumes:
#  docker_pts_mysql_data:
#  pts_mysql_data:
networks:
  - pts-network:
  - rabbitmq_go_net:
  #- rabbitmq_go_net: { driver: bridge } }


